Name:           perl-generators
Version:        1.08
Release:        5%{?dist}
Summary:        RPM Perl dependencies generators
Group:          Development/Libraries
License:        GPL+
URL:            http://jplesnik.fedorapeople.org/generators/
BuildArch:      noarch
Requires:       perl-devel
Requires:       rpm-build

%description
This package provides RPM Perl dependencies generators which are used for
getting provides and requires from Perl binaries and modules.

This is a dummy package for compatibility with Fedora source packages. The
Perl dependenciss generators are provided by rpm-build package. See
<https://fedoraproject.org/wiki/Changes/Build_Root_Without_Perl> and
<https://fedoraproject.org/wiki/Packaging:Perl#Build_Dependencies>.

%package -n perl-interpreter
Summary:        Standalone executable Perl interpreter
Version:        5.10.1
Epoch:          4
Requires:       perl

%description -n perl-interpreter
This is a Perl interpreter as a standalone executable %{_bindir}/perl
required for handling Perl scripts. It does not provide all the other Perl
modules or tools.

This is a dummy package for compatibility with Fedora source packages. The
Perl interpreter is provided by perl package. See
<https://fedoraproject.org/wiki/Changes/perl_Package_to_Install_Core_Modules>
and <https://bugzilla.redhat.com/show_bug.cgi?id=1410347>.

%prep

%build

%install

%check

%files

%files -n perl-interpreter

%changelog
* Thu Feb 01 2018 Petr Pisar <ppisar@redhat.com> - 1.08-5
- Provide perl-interpreter (bug #1410347)

* Wed Jun 22 2016 Petr Pisar <ppisar@redhat.com> - 1.08-4
- Provide this dummy package to ease porting Fedora packages to EPEL

